## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

Name:			espanso-wayland
Version: 		2.2.2
Release:		1%?dist
Summary:		Cross-platform Text Expander written in Rust for Wayland
License:		GPL-3.0
URL:			https://espanso.org
Source0:		https://github.com/espanso/espanso/archive/refs/tags/v%version.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

Requires:		libxkbcommon dbus libnotify wxGTK wl-clipboard
Conflicts:		espanso-x11
BuildRequires:	cargo-rpm-macros gcc gcc-c++
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	wxGTK-devel
BuildRequires:	openssl-devel
BuildRequires:  mold

%description
A cross-platform Text Expander written in Rust. A text expander is a program
that detects when you type a specific keyword and replaces it with something
else.

This package includes the Wayland version of espanso.


%prep
%autosetup -n espanso-%version
cd espanso
set -eu
%{__mkdir} -p .cargo
cat > .cargo/config << EOF
[profile.rpm]
inherits = "release"
opt-level = 3
codegen-units = 1
debug = 2
strip = "none"


[build]
rustc = "%{__rustc}"
rustdoc = "%{__rustdoc}"

[env]
CFLAGS = "%{build_cflags}"
CXXFLAGS = "%{build_cxxflags}"
LDFLAGS = "%{build_ldflags}"

[install]
root = "%{buildroot}%{_prefix}"

[term]
verbose = true

[source]

[source.local-registry]
directory = "%{cargo_registry}"

EOF
%{__rm} -f Cargo.toml.orig 
%global build_rustflags %build_rustflags %[%{with mold} ? "-C link-arg=-fuse-ld=mold" : ""]

%build
cd espanso
%cargo_build -n -f vendored-tls,"wayland",modulo -- --package={espanso,espanso-clipboard,espanso-config,espanso-detect,espanso-engine,espanso-info,espanso-inject,espanso-ipc,espanso-kvs,espanso-mac-utils,espanso-match,espanso-migrate,espanso-modulo,espanso-package,espanso-path,espanso-render,espanso-ui}

%install
mkdir -p %buildroot%_bindir
install -Dm755 target/rpm/espanso %buildroot%_bindir

%files
%caps(cap_dac_override=pe) %_bindir/espanso

%changelog
## START: Generated by rpmautospec
* Fri Jan 24 2025 John Doe <packager@example.com> - 2.2.2-1
- Uncommitted changes
## END: Generated by rpmautospec
